org.apache.jmeter.gui.util

## Class TextAreaTableCellEditor.EditorDelegate

- java.lang.Object
- - org.apache.jmeter.gui.util.TextAreaTableCellEditor.EditorDelegate

All Implemented Interfaces:
  FocusListener, Serializable, EventListener

Enclosing class:
  TextAreaTableCellEditor

    protected class TextAreaTableCellEditor.EditorDelegate
    extends Object
    implements FocusListener, Serializable

The protected `EditorDelegate` class.

See Also:
  Serialized Form

### Field Summary

Fields
`protected Object` `value` The value of this cell.

### Constructor Summary

Constructors
`protected` `EditorDelegate()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `actionPerformed(ActionEvent e)` When an action is performed, editing is ended.
`void` `cancelCellEditing()` Cancels editing.
`void` `focusGained(FocusEvent ev)`
`void` `focusLost(FocusEvent ev)`
`Object` `getCellEditorValue()` Returns the value of this cell.
`boolean` `isCellEditable(EventObject anEvent)` Returns true if `anEvent` is not a `MouseEvent`.
`void` `itemStateChanged(ItemEvent e)` When an item's state changes, editing is ended.
`void` `setValue(Object value)` Sets the value of this cell.
`boolean` `shouldSelectCell(EventObject anEvent)` Returns true to indicate that the editing cell may be selected.
`boolean` `startCellEditing(EventObject anEvent)` Returns true to indicate that editing has begun.
`boolean` `stopCellEditing()` Stops editing and returns true to indicate that editing has stopped.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### value

    protected Object value

The value of this cell.

### Constructor Detail

#### EditorDelegate

    protected EditorDelegate()

### Method Detail

#### getCellEditorValue

    public Object getCellEditorValue()

Returns the value of this cell.

Returns:
  the value of this cell

#### setValue

    public void setValue(Object value)

Sets the value of this cell.

Parameters:
  `value` - the new value of this cell

#### isCellEditable

    public boolean isCellEditable(EventObject anEvent)

Returns true if `anEvent` is not a `MouseEvent`. Otherwise, it returns true if the necessary number of clicks have occurred, and returns false otherwise.

Parameters:
  `anEvent` - the event
Returns:
  true if cell is ready for editing, false otherwise
See Also:
  `TextAreaTableCellEditor.setClickCountToStart(int)`, `shouldSelectCell(java.util.EventObject)`

#### shouldSelectCell

    public boolean shouldSelectCell(EventObject anEvent)

Returns true to indicate that the editing cell may be selected.

Parameters:
  `anEvent` - the event
Returns:
  true
See Also:
  `isCellEditable(java.util.EventObject)`

#### startCellEditing

    public boolean startCellEditing(EventObject anEvent)

Returns true to indicate that editing has begun.

Parameters:
  `anEvent` - the event
Returns:
  always `true`

#### stopCellEditing

    public boolean stopCellEditing()

Stops editing and returns true to indicate that editing has stopped. This method calls `fireEditingStopped`.

Returns:
  true

#### cancelCellEditing

    public void cancelCellEditing()

Cancels editing. This method calls `fireEditingCanceled`.

#### actionPerformed

    public void actionPerformed(ActionEvent e)

When an action is performed, editing is ended.

Parameters:
  `e` - the action event
See Also:
  `stopCellEditing()`

#### itemStateChanged

    public void itemStateChanged(ItemEvent e)

When an item's state changes, editing is ended.

Parameters:
  `e` - the action event
See Also:
  `stopCellEditing()`

#### focusLost

    public void focusLost(FocusEvent ev)

Specified by:
  `focusLost` in interface `FocusListener`

#### focusGained

    public void focusGained(FocusEvent ev)

Specified by:
  `focusGained` in interface `FocusListener`